<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.DataTableInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.DataTableInfo">
        <id column="table_id" property="tableId" />
        <result column="create_time" property="createTime" />
        <result column="data_name" property="dataName" />
        <result column="table_comment" property="tableComment" />
        <result column="table_size" property="tableSize" />
        <result column="data_source" property="dataSource" />
        <result column="creator" property="creator" />
        <result column="data_rows" property="dataRows" />
        <result column="update_time" property="updateTime" />
        <result column="remarks" property="remarks" />
        <result column="db_id" property="dbId" />
        <result column="ds" property="ds" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, table_id, data_name, table_comment, table_size, data_source, creator, data_rows, update_time, remarks, db_id, ds, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
